<?php namespace EwTools\Models;

use EwTools\Storage\CollectionModel;

/**
 * SettingsParameter
 *
 * @link    http://infomaker.se
 * @package EwTools\Models
 * @since   EwTools\Models\SettingsParameter 0.1
 */
class SettingsParameter extends CollectionModel {
    
    protected $option_name = 'everyware_settings_parameters';
    
    protected $identifier_field = 'key';
    
    /**
     * Fields that will be set and stored
     *
     * @var array
     */
    protected $fields = [
        'key'   => '',
        'value' => '',
        'type'  => 'string'
    ];
    
    /**
     * Save current model in collection
     *
     * @since 0.1
     * @return void
     */
    public function save() {
        $this->newCollection()->update($this->key, $this)->save();
    }
    
    /**
     * Retrieve a value from defined key
     *
     * @param string $key
     *
     * @since 0.1
     * @return string
     */
    public static function getValue( $key ) {
        $model = static::find($key);
        return $model ? $model->get('value') : null;
    }
}